# -*- coding: utf-8 -*-
## PloneChat
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
PloneChat product
"""
__version__ = "$Revision: 18811 $"
# $Source: /cvsroot/ingeniweb/PloneChat/Attic/config.py,v $
# $Id: config.py 18811 2006-02-01 11:22:08 +0100 (mer., 01 févr. 2006) cbosse $
__docformat__ = 'restructuredtext'

import os
from Products.CMFCore.CMFCorePermissions import setDefaultRoles

# 

GLOBALS = globals()
PROJECTNAME = 'PloneChat'
SKINS_DIR = 'skins'
TOOL_ID = 'portal_plone_chat'

# Permissions
PloneChat_addPermission = "Add PloneChat objects"
PloneChat_editPermission = "Edit PloneChats"
PloneChat_unrestrictedChatPermission = "Chat unmoderatedly"
PloneChat_moderatePermission = "Moderate PloneChats"
PloneChat_restrictedChatPermission = "Chat moderatedly"

PERMS_LIST = (PloneChat_addPermission,
              PloneChat_editPermission,
              PloneChat_unrestrictedChatPermission,
              PloneChat_moderatePermission,
              PloneChat_restrictedChatPermission)

for perm in PERMS_LIST:
    setDefaultRoles(perm, ('Manager', 'Owner',))

# Var directory
j=os.path.join
VAR_DIR = j(j(INSTANCE_HOME, 'var'), 'PloneChat')
if not os.path.exists(VAR_DIR):
    os.mkdir(VAR_DIR)

try:
    True
except NameError:
    True = 1
    False = 0

